#!/bin/sh
openhrp-controller-bridge \
--server-name DataConversionRTC \
--in-port torque:RIGHT_WHEEL,LEFT_WHEEL:JOINT_TORQUE \
--out-port angle:RIGHT_WHEEL,LEFT_WHEEL:JOINT_VALUE \
--out-port range_sensor:TOUCH_SENSOR:RANGE_SENSOR \
--out-port image:0:COLOR_IMAGE:0.1 \
--connection:torque:DataConversionRTC:model_torque \
--connection:angle:DataConversionRTC:model_angle \
--connection:range_sensor:DataIntegrationRTC:in_range_sensor \
--connection:image:DataIntegrationRTC:in_color_image \
--robot-name CommunicationWithOpenHRP3
